#ifndef XGPUTEXTURESIZE1D_H
#define XGPUTEXTURESIZE1D_H

#include "xasset.h"

class XGpuTextureSize1D : public XAsset
{
public:
    explicit XGpuTextureSize1D();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mWidth;
};

#endif // XGPUTEXTURESIZE1D_H








